Bug 95385 - New port: games/solarconquest Space 2D action game with plenty of shooting
Summary: New port: games/solarconquest Space 2D action game with plenty of shooting
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-06 01:30 UTC by Dmitry Marakasov
Modified: 2006-05-31 16:27 UTC (History)
0 users

See Also:


Attachments
solarconquest-0.2.shar (6.43 KB, text/plain)
2006-04-06 01:30 UTC, Dmitry Marakasov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2006-04-06 01:30:19 UTC
An expedition to another solar system was supposed to be the biggest
event in mankind's history. While it achieved such glory, it also
caused a corrupt Admrial to gain new territory.

You are part of a small rebel force. Your task is to keep Admrial
Moretti's forces at bay, until the Earth Space Forces can send a
rescue team.

Solar Conquest is a 2D action game that takes place in space. You
pilot a fighter and fight alongside dozens of allies. Battles can
range from just a dozen a team, or up to all out war with hundreds
of ships per team.

WWW: http://games.sajthelper.com/
Comment 1 Dmitry Marakasov 2006-04-07 01:15:59 UTC
* Dmitry Marakasov (amdmi3@mail.ru) wrote:

Somehow I thought that ports/92688 was fully merged, but it was not and
png files were corrupted by USE_DOS2UNIX=yes. The patch fixes this issue.

--- solarconquest.patch begins here ---
diff -ruN solarconquest.orig/Makefile solarconquest/Makefile
--- solarconquest.orig/Makefile	Fri Apr  7 04:10:02 2006
+++ solarconquest/Makefile	Fri Apr  7 03:38:59 2006
@@ -16,7 +16,7 @@
 
 USE_SDL=	sdl mixer image
 USE_GL=		yes
-USE_DOS2UNIX=	yes
+USE_DOS2UNIX=	makefile source/MenuScreen.h source/main.cpp
 
 MAKEFILE=	makefile
 MAKE_ENV=	CXX="${CXX}"
--- solarconquest.patch ends here ---

-- 
Best regards,
 Dmitry                          mailto:amdmi3@mail.ru
Comment 2 Emanuel Haupt freebsd_committer 2006-05-31 14:12:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

Take.
Comment 3 Emanuel Haupt freebsd_committer 2006-05-31 14:32:26 UTC
State Changed
From-To: open->feedback

New port added, thanks! Could you maybe provide an additional mirror to improve 
the availability of the distfile.
Comment 4 Emanuel Haupt freebsd_committer 2006-05-31 15:23:46 UTC
State Changed
From-To: feedback->open

More input received.
Comment 5 Emanuel Haupt freebsd_committer 2006-05-31 16:26:41 UTC
State Changed
From-To: open->closed

Additional mirror added, thanks!